package com.liquidnet.service.adam.util;

import com.liquidnet.service.adam.dto.rsc.AdamChimeUinfoDto;
import com.liquidnet.service.adam.dto.vo.*;
import com.liquidnet.service.base.PagedResult;

import java.util.ArrayList;

public class ObjectUtil {
    private static final ArrayList<AdamTagParentVo> adamTagParentVoArrayList = new ArrayList<>();
    private static final ArrayList<AdamTagVo> adamTagVoArrayList = new ArrayList<>();
    private static final ArrayList<AdamMemberOrderSimpleVo> adamMemberOrderSimpleVoArrayList = new ArrayList<>();
    private static final ArrayList<AdamThirdPartInfoVo> adamThirdPartInfoVoArrayList = new ArrayList<>();
    private static final ArrayList<AdamEntersVo> adamEntersVoArrayList = new ArrayList<>();
    private static final ArrayList<AdamAddressesVo> adamAddressesVoArrayList = new ArrayList<>();
    private static final ArrayList<AdamMemberOrderVo> adamMemberOrderVoArrayList = new ArrayList<>();
    private static final ArrayList<AdamChimeUinfoDto> adamChimeUinfoDtoArrayList = new ArrayList<>();

    private static final PagedResult<AdamCollectVo> adamCollectVoPagedResult = new PagedResult<>();
    private static final PagedResult<AdamMemberOrderSimpleVo> adamMemberOrderSimpleVoPagedResult = new PagedResult<>();
    private static final PagedResult<AdamDisposedVo> adamDisposedVoPagedResult = new PagedResult<>();
    private static final PagedResult<AdamDisposedUserVo> adamDisposedUserVoPagedResult = new PagedResult<>();

    public static ArrayList<AdamTagParentVo> getAdamTagParentVoArrayList() {
        return (ArrayList<AdamTagParentVo>) adamTagParentVoArrayList.clone();
    }

    public static ArrayList<AdamTagVo> getAdamTagVoArrayList() {
        return (ArrayList<AdamTagVo>) adamTagVoArrayList.clone();
    }

    public static ArrayList<AdamMemberOrderSimpleVo> getAdamMemberOrderSimpleVoArrayList() {
        return (ArrayList<AdamMemberOrderSimpleVo>) adamMemberOrderSimpleVoArrayList.clone();
    }

    public static ArrayList<AdamThirdPartInfoVo> getAdamThirdPartInfoVoArrayList() {
        return (ArrayList<AdamThirdPartInfoVo>) adamThirdPartInfoVoArrayList.clone();
    }

    public static ArrayList<AdamEntersVo> getAdamEntersVoArrayList() {
        return (ArrayList<AdamEntersVo>) adamEntersVoArrayList.clone();
    }

    public static ArrayList<AdamAddressesVo> getAdamAddressesVoArrayList() {
        return (ArrayList<AdamAddressesVo>) adamAddressesVoArrayList.clone();
    }

    public static ArrayList<AdamMemberOrderVo> getAdamMemberOrderVoArrayList() {
        return (ArrayList<AdamMemberOrderVo>) adamMemberOrderVoArrayList.clone();
    }

    public static ArrayList<AdamChimeUinfoDto> getAdamChimeUinfoDtoArrayList() {
        return (ArrayList<AdamChimeUinfoDto>) adamChimeUinfoDtoArrayList.clone();
    }

    public static PagedResult<AdamCollectVo> getAdamCollectVoPagedResult() {
        return adamCollectVoPagedResult.clone();
    }

    public static PagedResult<AdamMemberOrderSimpleVo> getAdamMemberOrderSimpleVoPagedResult() {
        return adamMemberOrderSimpleVoPagedResult.clone();
    }

    public static PagedResult<AdamDisposedVo> getAdamDisposedVoPagedResult() {
        return adamDisposedVoPagedResult.clone();
    }

    public static PagedResult<AdamDisposedUserVo> getAdamDisposedUserVoPagedResult() {
        return adamDisposedUserVoPagedResult.clone();
    }
}
